RubyGems.org

Adds pessimistic locking capabilities to the redis gem. Since these capabilities are utilized client-side, all clients must use this gem and follow the order of lock => make changes => unlock in order to obtain maximum safety when modifying sensitive keys. Tested with redis-server 2.0.4 and should work with all versions > 0.091.

installgem install jashmenn-redis-lock
Authors

Patrick Tulskie

12,768 total downloads 12,768 for this version
Owners

E14633fe004ce897045cfbdea278c1a7

Gemfile
gem 'jashmenn-redis-lock', '~> 0.1.1'
Versions
  1. 0.1.1 January 16, 2011 (6 KB)
Runtime Dependencies
  1. redis >= 0